SDL_SetAtomicU32(3)

NAME
SDL_SetAtomicU32 - Set an atomic variable to a value.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_SetAtomicU32(SDL_AtomicU32 *a, Uint32 v);

DESCRIPTION
This function also acts as a full memory barrier. Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicU32
     variable to be modified.

v   the desired value.

RETURN VALUE
( Uint32 ) Returns the previous value of the atomic variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetAtomicU32(3)